- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# isolated_constraint_action Class Reference

`#include <CoinPresolveIsolated.hpp>`

Inheritance diagram for isolated_constraint_action:

[legend]
Collaboration diagram for isolated_constraint_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~isolated_constraint_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, int row, const CoinPresolveAction *next)
## Private Member Functions
| isolated_constraint_action ()
| isolated_constraint_action (const isolated_constraint_action &rhs)
isolated_constraint_action & | operator= (const isolated_constraint_action &rhs)
| isolated_constraint_action (double rlo, double rup, int row, int ninrow, const int *rowcols, const double *rowels, const double *costs, const CoinPresolveAction *next)
## Private Attributes
double | rlo_
double | rup_
int | row_
int | ninrow_
const int * | rowcols_
const double * | rowels_
const double * | costs_

## Detailed Description

Definition at line 9 of file CoinPresolveIsolated.hpp.

## Constructor & Destructor Documentation

isolated_constraint_action::isolated_constraint_action | ( |  | ) | `[private]`

isolated_constraint_action::isolated_constraint_action | ( | const isolated_constraint_action & | rhs | ) | `[private]`

isolated_constraint_action::isolated_constraint_action | ( | double | rlo,
|  | double | rup,
|  | int | row,
|  | int | ninrow,
|  | const int * | rowcols,
|  | const double * | rowels,
|  | const double * | costs,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 23 of file CoinPresolveIsolated.hpp.

isolated_constraint_action::~isolated_constraint_action | ( |  | ) |

## Member Function Documentation

isolated_constraint_action& isolated_constraint_action::operator= | ( | const isolated_constraint_action & | rhs | ) | `[private]`

const char* isolated_constraint_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* isolated_constraint_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | int | row,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void isolated_constraint_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

double isolated_constraint_action::rlo_`[private]`

Definition at line 14 of file CoinPresolveIsolated.hpp.

double isolated_constraint_action::rup_`[private]`

Definition at line 15 of file CoinPresolveIsolated.hpp.

int isolated_constraint_action::row_`[private]`

Definition at line 16 of file CoinPresolveIsolated.hpp.

int isolated_constraint_action::ninrow_`[private]`

Definition at line 17 of file CoinPresolveIsolated.hpp.

const int* isolated_constraint_action::rowcols_`[private]`

Definition at line 19 of file CoinPresolveIsolated.hpp.

const double* isolated_constraint_action::rowels_`[private]`

Definition at line 20 of file CoinPresolveIsolated.hpp.

const double* isolated_constraint_action::costs_`[private]`

Definition at line 21 of file CoinPresolveIsolated.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinPresolveIsolated.hpp